.section-plan {
    margin-top: 12.8rem;
    flex-direction: column;
    align-items: center;
    gap: 4.1rem;
    &__heading {
        text-align: center;
    }

    
    &__cards {
            align-items: center;
            
            @include respond (tab-port) {
                flex-wrap: wrap;
                gap: 7rem;
                justify-content: center;
            }
                
            
        .title {
            margin-top: 3rem;
            margin-bottom: 5.6rem;
            flex-direction: column;
            gap: 2.2rem;
            
            &--text {
                h2 {
                    @include plan-card-title;
                    color: var(--color-primary);
    
                }  
            }
        }
            
        .rows {
            flex-direction: column;
            margin-bottom: 2.4rem;
            gap: 2.1rem;


            span {
                
                font-weight: 500;
                font-size: $default-font-size;
                text-align: center;
                color: var(--color-text-primary);
                position: relative;


                &:not(:last-child):after
                 {
                    position: absolute;
                    content: '';
                    border-bottom: .2rem dashed var(--color-dashed-border);
                    width: 77%;
                    transform: translateX(-50%);
                    bottom: -1rem;
                    left: 50%;

                }
               


            }

            &__info {
                    text-align: center;
                &-text {
                    font-weight: 400;
                    font-size: 1.4rem;
                    line-height: 1.7rem;
                    text-align: center;
                    color: var(--color-text-secondary);
                }
            }
            &__button {
                    justify-content: center;
                    margin-top: 1.9rem;
                    // margin-bottom: 1.6rem;
                &-blue {
                    @include btn-blue;
                    padding: 1.4rem 2.6rem;
                    margin-bottom: 3rem;
                }
                &-pink {
                    @include btn-pink; 
                    padding: 1.4rem 2.6rem;
                    margin-bottom: 1.6rem;
                }
            }
        }

        &-basic {
                height: max-content;
                z-index: 10;

            h3 {
                @include plan-card-large;
            }

            h4 {
                font-weight: 700;
                font-size: 1.8rem;
                line-height: 2.2rem;
                text-align: center;
                text-transform: uppercase;
                color: var(--color-secondary);

            }

        }
            
        &-value {
            z-index: 12;
        }
        &-pro {
            z-index: 10;

        }
        
          

        &-basic, &-value, &-pro, &-pro2 {

            @include plan-card-bg;
            flex-direction: column;
            width: 26%;
            padding-left: 2.5rem;
            padding-right: 2.5rem;
            border: .2rem solid var(--color-paper-light);  
            
            @include respond (tab-port) {
                width: 40%;
            }
            @include respond (phone) {
                width: 90%;
            }
           

            &:hover {
                backface-visibility: hidden;
                box-shadow: 0px 3px 49px 9px rgba(203, 14, 80, 0.43);
                
                h2, h3, h4 {
                    color: #FFFFFF;
                }
            }
        }

        &-value, &-pro, &-pro2 {
                margin-right: -2.3rem;

                @include respond (tab-port) {
                    margin-right: 0;
                }
            
            &:hover {
                border: .2rem solid #E91E63;
                margin-right: -2.3rem;
                z-index: 15;
                transition:transform .3s;
                transform: scale(1.05) translateY(-.5rem);

               
                
                &::after {
                   @include background-position;
                   @include cards-hover-bg;
                    width: 100%;
                    height: 27%;
                    
                }
            }

        }
        &-basic {
            &:hover {
                border: .2rem solid #304FFE;
                transition:transform .3s;
                transform: scale(1.05) translateY(-.5rem);
                z-index: 20;

                &::after {
                    @include background-position;
                    @include cards-hover-bg;
                    width: 100%;
                    height: 30%;
                }
            }
        }
        .cost {
            justify-content: center;
            gap: 0.5rem;

            &__digit {
                @include plan-card-large;
            }

            &__sign {
                font-weight: 700;
                font-size: 1.8rem;
                line-height: 2.2rem;
                text-align: center;
                color: var(--color-text-primary);
    
            }
        }

        
        

    }



}
